Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class ResultSetMetaData

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.ResultSetMetaData

public abstract class ResultSetMetaData
extends Object

This interface provides a mechanism for obtaining information about the columns that are present in a `ResultSet`.

Note that in this class column indexes start at 1, not 0.

Field Summary
`static int` | `columnNoNulls` The column does not allow NULL's.
`static int` | `columnNullable` The column allows NULL's.
`static int` | `columnNullableUnknown` It is unknown whether or not the column allows NULL's.

Constructor Summary
`ResultSetMetaData()`

Method Summary
`abstract String` | `getCatalogName(int column)` This method returns the name of the catalog containing the specified column.
`abstract String` | `getColumnClassName(int column)` This method returns the name of the Java class which will be used to create objects representing the data in this column.
`abstract int` | `getColumnCount()` This method returns the number of columns in the result set.
`abstract int` | `getColumnDisplaySize(int column)` This method returns the maximum number of characters that can be used to display a value in this column.
`abstract String` | `getColumnLabel(int column)` This method returns a string that should be used as a caption for this column for user display purposes.
`abstract String` | `getColumnName(int column)` This method returns the name of the specified column.
`abstract int` | `getColumnType(int column)` This method returns the SQL type of the specified column.
`abstract String` | `getColumnTypeName(int column)` This method returns the name of the SQL type for this column.
`abstract int` | `getPrecision(int column)` This method returns the precision of the specified column, which is the number of decimal digits it contains.
`abstract int` | `getScale(int column)` This method returns the scale of the specified column, which is the number of digits to the right of the decimal point.
`abstract String` | `getSchemaName(int column)` This method returns the name of the schema that contains the specified column.
`abstract String` | `getTableName(int column)` This method returns the name of the table containing the specified column.
`abstract boolean` | `isAutoIncrement(int column)` This method test whether or not the column is an auto-increment column.
`abstract boolean` | `isCaseSensitive(int column)` This method tests whether or not a column is case sensitive in its values.
`abstract boolean` | `isCurrency(int column)` This method tests whether or not the column stores a monetary value.
`abstract boolean` | `isDefinitelyWritable(int column)` This method tests whether or not the column is writable.
`abstract int` | `isNullable(int column)` This method returns a value indicating whether or not the specified column may contain a NULL value.
`abstract boolean` | `isReadOnly(int column)` This method tests whether or not the specified column is read only.
`abstract boolean` | `isSearchable(int column)` This method tests whether not the specified column can be used in a WHERE clause.
`abstract boolean` | `isSigned(int column)` This method tests whether or not the value of the specified column is signed or unsigned.
`abstract boolean` | `isWritable(int column)` This method tests whether or not the column may be writable.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### columnNoNulls

    public static final int columnNoNulls

  The column does not allow NULL's.

### columnNullable

    public static final int columnNullable

  The column allows NULL's.

### columnNullableUnknown

    public static final int columnNullableUnknown

  It is unknown whether or not the column allows NULL's.

Constructor Detail

### ResultSetMetaData

    public ResultSetMetaData()

Method Detail

### getColumnCount

    public abstract int getColumnCount()
                                throws SQLException

  This method returns the number of columns in the result set.
  Returns:
    The number of columns in the result set.
  Throws:
    SQLException - If an error occurs.

### isAutoIncrement

    public abstract boolean isAutoIncrement(int column)
                                     throws SQLException

  This method test whether or not the column is an auto-increment column. Auto-increment columns are read-only.
  Parameters:
    `index` - The index of the column to test.
  Returns:
    `true` if the column is auto-increment, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### isCaseSensitive

    public abstract boolean isCaseSensitive(int column)
                                     throws SQLException

  This method tests whether or not a column is case sensitive in its values.
  Parameters:
    `index` - The index of the column to test.
  Returns:
    `true` if the column value is case sensitive, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### isSearchable

    public abstract boolean isSearchable(int column)
                                  throws SQLException

  This method tests whether not the specified column can be used in a WHERE clause.
  Parameters:
    `index` - The index of the column to test.
  Returns:
    `true` if the column may be used in a WHERE clause, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### isCurrency

    public abstract boolean isCurrency(int column)
                                throws SQLException

  This method tests whether or not the column stores a monetary value.
  Parameters:
    `index` - The index of the column to test.
  Returns:
    `true` if the column contains a monetary value, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### isNullable

    public abstract int isNullable(int column)
                            throws SQLException

  This method returns a value indicating whether or not the specified column may contain a NULL value.
  Parameters:
    `index` - The index of the column to test.
  Returns:
    A constant indicating whether or not the column can contain NULL, which will be one of `columnNoNulls`, `columnNullable`, or `columnNullableUnknown`.
  Throws:
    SQLException - If an error occurs.

### isSigned

    public abstract boolean isSigned(int column)
                              throws SQLException

  This method tests whether or not the value of the specified column is signed or unsigned.
  Parameters:
    `index` - The index of the column to test.
  Returns:
    `true` if the column value is signed, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### getColumnDisplaySize

    public abstract int getColumnDisplaySize(int column)
                                      throws SQLException

  This method returns the maximum number of characters that can be used to display a value in this column.
  Parameters:
    `index` - The index of the column to check.
  Returns:
    The maximum number of characters that can be used to display a value for this column.
  Throws:
    SQLException - If an error occurs.

### getColumnLabel

    public abstract String getColumnLabel(int column)
                                   throws SQLException

  This method returns a string that should be used as a caption for this column for user display purposes.
  Parameters:
    `index` - The index of the column to check.
  Returns:
    A display string for the column.
  Throws:
    SQLException - If an error occurs.

### getColumnName

    public abstract String getColumnName(int column)
                                  throws SQLException

  This method returns the name of the specified column.
  Parameters:
    `index` - The index of the column to return the name of.
  Returns:
    The name of the column.
  Throws:
    SQLException - If an error occurs.

### getSchemaName

    public abstract String getSchemaName(int column)
                                  throws SQLException

  This method returns the name of the schema that contains the specified column.
  Parameters:
    `index` - The index of the column to check the schema name for.
  Returns:
    The name of the schema that contains the column.
  Throws:
    SQLException - If an error occurs.

### getPrecision

    public abstract int getPrecision(int column)
                              throws SQLException

  This method returns the precision of the specified column, which is the number of decimal digits it contains.
  Parameters:
    `index` - The index of the column to check the precision on.
  Returns:
    The precision of the specified column.
  Throws:
    SQLException - If an error occurs.

### getScale

    public abstract int getScale(int column)
                          throws SQLException

  This method returns the scale of the specified column, which is the number of digits to the right of the decimal point.
  Parameters:
    `index` - The index column to check the scale of.
  Returns:
    The scale of the column.
  Throws:
    SQLException - If an error occurs.

### getTableName

    public abstract String getTableName(int column)
                                 throws SQLException

  This method returns the name of the table containing the specified column.
  Parameters:
    `index` - The index of the column to check the table name for.
  Returns:
    The name of the table containing the column.
  Throws:
    SQLException - If an error occurs.

### getCatalogName

    public abstract String getCatalogName(int column)
                                   throws SQLException

  This method returns the name of the catalog containing the specified column.
  Parameters:
    `index` - The index of the column to check the catalog name for.
  Returns:
    The name of the catalog containing the column.
  Throws:
    SQLException - If an error occurs.

### getColumnType

    public abstract int getColumnType(int column)
                               throws SQLException

  This method returns the SQL type of the specified column. This will be one of the constants from `Types`.
  Parameters:
    `index` - The index of the column to check the SQL type of.
  Returns:
    The SQL type for this column.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `Types`

### getColumnTypeName

    public abstract String getColumnTypeName(int column)
                                      throws SQLException

  This method returns the name of the SQL type for this column.
  Parameters:
    `index` - The index of the column to check the SQL type name for.
  Returns:
    The name of the SQL type for this column.
  Throws:
    SQLException - If an error occurs.

### isReadOnly

    public abstract boolean isReadOnly(int column)
                                throws SQLException

  This method tests whether or not the specified column is read only.
  Parameters:
    `index` - The index of the column to check.
  Returns:
    `true` if the column is read only, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### isWritable

    public abstract boolean isWritable(int column)
                                throws SQLException

  This method tests whether or not the column may be writable. This does not guarantee that a write will be successful.
  Parameters:
    `index` - The index of the column to check for writability.
  Returns:
    `true` if the column may be writable, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### isDefinitelyWritable

    public abstract boolean isDefinitelyWritable(int column)
                                          throws SQLException

  This method tests whether or not the column is writable. This does guarantee that a write will be successful.
  Parameters:
    `index` - The index of the column to check for writability.
  Returns:
    `true` if the column is writable, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### getColumnClassName

    public abstract String getColumnClassName(int column)
                                       throws SQLException

  This method returns the name of the Java class which will be used to create objects representing the data in this column.
  Parameters:
    `index` - The index of the column to check.
  Returns:
    The name of the Java class that will be used for values in this column.
  Throws:
    SQLException - If an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD